<%@Page Language="VB" Debug="True" %>

<%@Register TagPrefix="ahh" TagName="MaskEdit"
            Src="ascx\user-maskedit-validator.ascx" %>

<%-------------------------------------------------------------%>

<script runat="server">

Sub Page_Load()

  oCtrl.Mask = selMask.SelectedValue
  oCtrl.FontSize = selSize.SelectedValue

End Sub

</script>

<%-------------------------------------------------------------%>

<html>
<head>
<!-- #include file="../global/style.inc" -->
<title>Masked Edit User Control with Validation</title>
</head>
<body>

<span class="heading">Masked Edit User Control with Validation</span><hr />

<form id="frmMain" runat="server">

  Select Mask and Font size in the lists below and<br />
  press TAB to type in the masked edit box. The<br />
  browser status bar shows the expected character.<p />
  <asp:DropDownList id="selMask" AutoPostback="True" runat="server">
    <asp:ListItem Value="nnnn-nn-nnTnn:nn:nn" Text="UTC Date and Time" />
    <asp:ListItem Value="Qnnnnn-LLnn" Text="Part Number" />
    <asp:ListItem Value="(nnn)-nnn-nnnn" Text="US Phone Number" />
    <asp:ListItem Value="LLn? nLL" Text="UK Postal Code" />
  </asp:DropDownList>
  <asp:DropDownList id="selSize" AutoPostback="True" runat="server">
    <asp:ListItem Value="10" Text="10 pt" />
    <asp:ListItem Value="12" Text="12 pt" />
    <asp:ListItem Value="16" Text="16 pt" />
  </asp:DropDownList><p />

  <ahh:MaskEdit id="oCtrl" runat="server" /><p />

  <asp:Button Text="Submit" runat="server" />

</form>

<span class="cite">
Remember to copy the client-side script file 'maskedit.js' into a new<br />
subfolder named 'custom' within the 'aspnet_client' folder of your site.
</span>

<hr><span class="cite">
[<a href="../global/viewsource.aspx?compsrc=user-maskedit-validator.htm" target="_blank">view source</a>] &nbsp;
<!-- #include file="../global/footer.inc" -->

</body>
</html>

