function incrementValue(sTextID, iMinVal, iMaxVal, iInc, bAutoPost) {
  var textbox = document.getElementById(sTextID);
  var textval = parseInt(textbox.value);
  if (isNaN(textval) || textval < iMinVal)
    textval = iMinVal;
  else {
    if (textval < (iMaxVal - iInc))
      textval += iInc;
    else
      textval = iMaxVal;
  }
  textbox.value = textval.toString();
  return bAutoPost;
}
function decrementValue(sTextID, iMinVal, iMaxVal, iInc, bAutoPost) {
  var textbox = document.getElementById(sTextID);
  var textval = parseInt(textbox.value);
  if (isNaN(textval) || textval < iMinVal)
    textval = iMinVal;
  else {
    if (textval > (iMinVal + iInc))
      textval -= iInc;
    else
      textval = iMinVal;
  }
  textbox.value = textval.toString();
  return bAutoPost;
}
function checkValue(sTextID, iMinVal, iMaxVal, iInc, bAutoPost) {
  var textbox = document.getElementById(sTextID);
  var textval = parseInt(textbox.value);
  if (isNaN(textval) || textval < iMinVal)
    textval = iMinVal;
  if (textval > iMaxVal)
    textval = iMaxVal;
  textbox.value = textval.toString();
  return false;
}
function keyDown(e, sTextID, iMinVal, iMaxVal, iInc, bAutoPost) {
  var textbox = document.getElementById(sTextID);
  var iKeyCode = 0;
  if (window.event) iKeyCode = window.event.keyCode
  else {
    if (e) iKeyCode = e.which;
  }
  if (iKeyCode == 38)
    incrementValue(sTextID, iMinVal, iMaxVal, iInc, bAutoPost);
  if (iKeyCode == 40)
    decrementValue(sTextID, iMinVal, iMaxVal, iInc, bAutoPost);
  if (iKeyCode == 37 || iKeyCode == 36)
    textbox.value = iMinVal.toString();
  if (iKeyCode == 39 || iKeyCode == 35)
    textbox.value = iMaxVal.toString();
  return true;
}
