<%@Page Language="VB" Debug="True" %>

<%-------------------------------------------------------------%>

<script runat="server">

Sub ButtonClick(sender As Object, e As EventArgs)

  ' display time page was last submitted
  lblMsg.Text = "Page submitted at " _
              & DateTime.Now.ToString("hh:mm:ss") _
              & " by " & sender.Text

End Sub

</script>

<%-------------------------------------------------------------%>
<%-------------------------------------------------------------%>

<html>
<head>

<!-- #include file="../global/style.inc" -->

<title>Trapping the Return Key in a Form</title>

<%-------------------------------------------------------------%>
<script language="javascript">
<!--

var blnReturn = true;

function trapReturn(e) {
  var iKeyCode = 0;
  if (window.event) iKeyCode = window.event.keyCode
  else if (e) iKeyCode = e.which;
  blnReturn = (iKeyCode != 13);
}

//-->
</script>
<%-------------------------------------------------------------%>

</head>
<body>

<span class="heading">Trapping the Return Key in a Form</span><hr />

<form id="frmMain" runat="server"
      onkeydown="trapReturn(event);"
      onsubmit="return blnReturn;">

  <asp:TextBox id="txtTest1" Text="Some value" runat="server" />
  <p />
  <asp:CheckBox id="chkTest1" AutoPostback="True"
       Text="AutoPostback Checkbox" OnCheckedChanged="ButtonClick"
       runat="server" /><br />
  <asp:CheckBox id="chkTest2" Text="Normal CheckBox" runat="server" />
  <p />
  <asp:Button id="btnOne" CommandName="Button 1"
       Text="Submit Button 1" runat="server" OnClick="ButtonClick" />

<hr />

  <asp:TextBox id="txtTest2" Text="Another value" runat="server" />
  <p />
  <asp:RadioButton id="optTest1" GroupName="grp1"
       AutoPostback="True" Text="AutoPostback Radio Button"
       OnCheckedChanged="ButtonClick" runat="server" /><br />
  <asp:RadioButton id="optTest2" GroupName="grp1"
       Text="Normal RadioButton" runat="server" />
  <p />
  <asp:Button id="btnTwo" CommandName="Button 2"
       Text="Submit Button 2" OnClick="ButtonClick" runat="server" />
  <p />
  <asp:Label id="lblMsg" EnableViewState="False" runat="server" />

</form>

<hr />
<!-- #include file="../global/viewsource.inc" -->
<!-- #include file="../global/footer.inc" -->

</body>
</html>

