<%@Page Language="VB" Debug="True" %>
<%@Import Namespace="System.IO" %>

<script runat="server">
Sub Page_Load()
  If Request.MapPath(Request.ApplicationPath) <> Path.GetDirectoryName(Request.MapPath(Request.CurrentExecutionFilePath)) Then
    lblPath.Visible = True
  End If
End Sub
</script>

<html>
<head>
<title>ASP.NET 1.1 Insider Solutions</title>

<!-- #include file="global\style.inc" -->

</head>
<body bgcolor="#ffffff">
<span class="heading">ASP.NET 1.1 Insider Solutions</span><hr />
<!--------------------------------------------------------------------------->

<asp:Label id="lblPath" Visible="False" runat="server">
<font color="#ff0000">
<b>WARNING: </b> These examples require a virtual ASP.NET Application. The
folder containing this file must be configured as an application root. In
Internet Services (IIS) Manager, right-click on this folder and select 'Properties'.
In the 'Directory' tab of the Properties dialog click the 'Create' button in the
'Application Settings' section.
</font>
</asp:Label>

<ul>
<li>Chapter 1 - Web Forms Tips and Tricks</li>
<li><a href="webforms/validate-datagrid.aspx" target="_blank">Using List and Validation Controls in a DataGrid</a></li>
<li><a href="webforms/sizemulticontrolgrid.aspx" target="_blank">Fixed Width Rows and Multiple Edit Controls</a></li>
<li><a href="webforms/scrollitemgrid.aspx" target="_blank">Scrollable Content in DataGrid Cells</a></li>
<li><a href="webforms/dynamicgrid.aspx" target="_blank">Creating a DataGrid Control Dynamically</a></li>
<li><a href="webforms/dynamicload.aspx" target="_blank">Adding User Controls to a Page Dynamically</a></li>
<p />
<li>Chapter 2 - Cross-Page Posting Techniques</li>
<li><a href="loadpost/redirectpage.aspx" target="_blank">Accessing Request Values in Another Page</a></li>
<li><a href="loadpost/referencepage.aspx" target="_blank">Exposing Page Values via a Reference</a></li>
<li><a href="loadpost/executepage.aspx" target="_blank">Using Server.Execute to Capture Page Output</a></li>
<p />
<li>Chapter 3 - Loading Progress and Status Displays</li>
<li><a href="loadpost/simplewait.aspx" target="_blank">Displaying a "Please Wait" Message</a></li>
<li><a href="loadpost/progressbar.aspx" target="_blank">Displaying a "Progress Bar" Graphic</a></li>
<li><a href="loadpost/stagedloading.aspx" target="_blank">Displaying Staged Page Load Progress</a></li>
<p />
<li>Chapter 4 - Working with Nested List Controls</li>
<li><a href="grids/nested-declarative.aspx" target="_blank">Declarative Nested Binding to a DataSet</a></li>
<li><a href="grids/nested-dataset.aspx" target="_blank">Filling Nested DataGrids from a DataSet</a></li>
<li><a href="grids/nested-function.aspx" target="_blank">Declarative Nested Binding to a Custom Function</a></li>
<li><a href="grids/nested-datareader.aspx" target="_blank">Filling Nested DataGrids from a DataReader</a></li>
<li><a href="grids/masterdetail.aspx" target="_blank">Master/Detail Display with a DataList and DataGrid</a></li>
<p />
<li>Chapter 5 - Creating Re-usable Content</li>
<li><a href="combobox/combo.aspx" target="_blank">ComboBox User Control Features Demonstration</a></li>
<li><a href="combobox/populating.aspx" target="_blank">Populating the ComboBox User Control</a></li>
<p />
<li>Chapter 6 - Client-side Script Integration</li>
<li><a href="buttons/gridconfirm.aspx" target="_blank">Using a Client-side Confirmation Dialog</a></li>
<li><a href="buttons/keycode-mappings.aspx" target="_blank">Discovering Key Code Mappings</a></li>
<li><a href="buttons/disable-return.aspx" target="_blank">Trapping the Return Key in a Form</a></li>
<li><a href="maskedit/maskedit.aspx" target="_blank">Simple Masked Edit Control Demonstration</a></li>
<li><a href="buttons/one-click.aspx" target="_blank">Creating a "One-Click" Button</a></li>
<p />
<li>Chapter 7 - Design Issues for User Controls</li>
<li><a href="maskedit/user-maskedit.aspx" target="_blank">Masked Edit User Control Demonstration</a></li>
<li><a href="maskedit/user-maskedit-validator.aspx" target="_blank">Masked Edit User Control with Validation</a></li>
<li><a href="spinbox/user-spinbox.aspx" target="_blank">SpinBox User Control Features Demonstration</a></li>
<li><a href="dialogs/clientdialogs.aspx" target="_blank">Alert, Prompt and Confirm Dialogs from a User Control</a></li>
<li><a href="dialogs/adaptiveclientdialogs.aspx" target="_blank">Browser-Adaptive Dialogs from a User Control</a></li>
<li><a href="dialogs/iemodaldialog.aspx" target="_blank">Internet Explorer Dialog Windows from a User Control</a></li>
<li><a href="dialogs/dialogwindows.aspx" target="_blank">Adaptive Dialog Windows from a User Control</a></li>
<p />
<li>Chapter 8 - Building Adaptive Server Controls</li>
<li><a href="maskedit/server-maskedit.aspx" target="_blank">Masked Edit Server Control Demonstration</a></li>
<li><a href="spinbox/std-spinbox.aspx" target="_blank">SpinBox Server Control Features Demonstration</a></li>
<li><a href="spinbox/adaptive-spinbox.aspx" target="_blank">Adaptive SpinBox Server Control Demonstration</a></li>
<p />
<li>Chapter 9 - Page Templates</li>
<li><a href="templating/MasterPagesWeb/MasterPageControl.aspx" target="_blank">Simple Master Page Control</a></li>
<li><a href="templating/MasterPagesWeb/MasterPageControlTemplated.aspx" target="_blank">Templated Master Page Control</a></li>
<li><a href="templating/MasterPagesWeb/MasterPageControlDynamic.aspx" target="_blank">Dynamic Master Page Control</a></li>
<li><a href="templating/MasterPagesWeb/UsingMasterPage.aspx" target="_blank">Custom Page Class</a></li>
<p />
<li>Chapter 10 - Relational Data Handling Techniques</li>
<li><a href="dataaccess/sprocparams.aspx" target="_blank">Stored Procedure and Query Parameter Ordering</a></li>
<li><a href="dataaccess/sprocdefaults.aspx" target="_blank">Using Default Values in a Stored Procedure</a></li>
<li><a href="dataaccess/datasetschema.aspx" target="_blank">Filling a Dataset With and Without a Schema</a></li>
<li><a href="dataaccess/instancetype.aspx" target="_blank">Writing Provider-Independent Data Access Code</a></li>
<li><a href="dataaccess/rowschanged-datagrid.aspx" target="_blank">Updating Multiple Rows Using 'Changed' Events</a></li>
<p />
<li>Chapter 11 - Working with XML Data</li>
<li><a href="XMLChapterVB/ConfigFileReaderTest.aspx" target="_blank">ConfigFileReaderTest.aspx</a></li>
<li><a href="XMLChapterVB/ConfigReaderTest.aspx" target="_blank">ConfigReaderTest.aspx</a></li>
<li><a href="XMLChapterVB/Listing3.aspx" target="_blank">Loading XML into the DataSet</a></li>
<li><a href="XMLChapterVB/Listing4.aspx" target="_blank">Parsing XML in a String with the XmlTextReader</a></li>
<li><a href="XMLChapterVB/Listing5.aspx" target="_blank">Accessing a Secured XML Document</a></li>
<li><a href="XMLChapterVB/Listing6.aspx" target="_blank">Listing6.aspx</a></li>
<li><a href="XMLChapterVB/Listing8.aspx" target="_blank">Traversing XML Data using the XPathNavigator</a></li>
<li><a href="XMLChapterVB/Listing9.aspx" target="_blank">Sorting News Headlines with the XPathExpression Class</a></li>
<li><a href="XMLChapterVB/Listing11.aspx" target="_blank">Sorting Dates with the XPathExpression Class</a></li>
<li><a href="XMLChapterVB/Listing12.aspx" target="_blank">Sorting XML Data with the DataView</a></li>
<li><a href="XMLChapterVB/Listing13.aspx" target="_blank">Selecting XML Nodes in a Default Namespace</a></li>
<li><a href="XMLChapterVB/Listing14.aspx" target="_blank">Selecting XML Nodes in a Local Namespace</a></li>
<li><a href="XMLChapterVB/Listing15.aspx" target="_blank">Selecting XML Nodes in a Local Namespace</a></li>
<li><a href="XMLChapterVB/Listing18.aspx" target="_blank">Listing18.aspx</a></li>
<li><a href="XMLChapterVB/Listing19.aspx" target="_blank">Shapping XML Data with the ColumnMapping Property</a></li>
<li><a href="XMLChapterVB/Listing20.aspx" target="_blank">Working with Relationships</a></li>
<li><a href="XMLChapterVB/Listing23.aspx" target="_blank">Adding CDATA Sections into XML</a></li>
<p />
<li>Chapters 13-14 - Authentication and Security</li>
<li><a href="SecurityChapters/CookielessAuthentication/default.aspx" target="_blank">Cookieless Authentication</a></li>
<li><a href="SecurityChapters/CustomAuthentication/default.aspx" target="_blank">Custom Authentication</a></li>
<li><a href="SecurityChapters/CustomAuthorization/default.aspx" target="_blank">Custom Authorization</a></li>
<li><a href="SecurityChapters/EjectingUsers/default.aspx" target="_blank">Ejecting Users</a></li>
<li><a href="SecurityChapters/FailedAuthorization/default.aspx" target="_blank">Failed Authorization</a></li>
<li><a href="SecurityChapters/Hashing/default.aspx" target="_blank">Hashing</a></li>
<li><a href="SecurityChapters/ListUsers/default.aspx" target="_blank">List Users</a></li>
<li><a href="SecurityChapters/MultipleLoginPages/default.aspx" target="_blank">Multiple Login Pages</a></li>
<li><a href="SecurityChapters/PersistentCookies/default.aspx" target="_blank">Persistent Cookies</a></li>
<li><a href="SecurityChapters/Roles/default.aspx" target="_blank">Roles</a></li>
<li><a href="SecurityChapters/SignInControl/default.aspx" target="_blank">Sign In Control</a></li>
<li><a href="SecurityChapters/UntrustedApp/default.aspx" target="_blank">Untrusted App</a></li>
</ul>

<div class="cite"><b>Note:</b> Edit the config.web file supplied with these samples to specify connection<br />
string details for your server and the account for the Northwind sample database.</div>

<hr /><!-- #include file="global\footer.inc" -->

</body>
</html>
